Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision f20ba9e3848dd2dc642b34c67a03af155fa5fbc5)
+++ BOOK/packages.ent	(revision 0deb83a3a93e6503c90e21d436a221ad715e022f)
@@ -160,8 +160,8 @@
 <!ENTITY gawk-home "&gnu-software;gawk">
 
-<!ENTITY gcc-version "5.3.0">
-<!ENTITY gcc-size "95,442 KB">
+<!ENTITY gcc-version "7.1.0">
+<!ENTITY gcc-size "84,304 KB">
 <!ENTITY gcc-url "ftp://gcc.gnu.org/pub/gcc/releases/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
-<!ENTITY gcc-md5 "c9616fd448f980259c31de613e575719">
+<!ENTITY gcc-md5 "6bf56a2bca9dac9dbbf8e8d1036964a8">
 <!ENTITY gcc-home "http://gcc.gnu.org">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision f20ba9e3848dd2dc642b34c67a03af155fa5fbc5)
+++ BOOK/patches.ent	(revision 0deb83a3a93e6503c90e21d436a221ad715e022f)
@@ -28,6 +28,6 @@
 
 <!ENTITY gcc-specs-patch "gcc-&gcc-version;-specs-1.patch">
-<!ENTITY gcc-specs-patch-md5 "f89a424f5ebbe676cf78e7c1b1ad1284">
-<!ENTITY gcc-specs-patch-size "20 KB">
+<!ENTITY gcc-specs-patch-md5 "9f4efe1ae2cb46e6ad41b2ba2a24e5d8">
+<!ENTITY gcc-specs-patch-size "21 KB">
 
 <!--GCC Branch Update Area
@@ -87,10 +87,10 @@
 
 <!ENTITY gcc-pure64-patch "gcc-&gcc-version;-pure64-1.patch">
-<!ENTITY gcc-pure64-patch-md5 "468413f9a1fce66ef167ca9230eb1a23">
-<!ENTITY gcc-pure64-patch-size "38 KB">
+<!ENTITY gcc-pure64-patch-md5 "5dd40881cfdc18efecb70a8e024b5fc0">
+<!ENTITY gcc-pure64-patch-size "9.124 KB">
 
 <!ENTITY gcc-specs_pure64-patch "gcc-&gcc-version;-pure64_specs-1.patch">
-<!ENTITY gcc-specs_pure64-patch-md5 "e65af28940319b5624a41849de4bfd6b">
-<!ENTITY gcc-specs_pure64-patch-size "30 KB">
+<!ENTITY gcc-specs_pure64-patch-md5 "4450a0fa28ec9454df8c229d4c194720">
+<!ENTITY gcc-specs_pure64-patch-size "20 KB">
 
 <!-- Start of mips/mips64 patches -->
